'use strict';

const parser = require('@babel/parser');
const core = require('@es-js/core');

function index() {
  return {
    name: "esjs",
    parserOverride(code, options = {}) {
      const output = core.transpile(code);
      return parser.parse(output, options);
    }
  };
}

module.exports = index;
